

/* this ALWAYS GENERATED file contains the IIDs and CLSIDs */

/* link this file in with the server and any clients */


 /* File created by MIDL compiler version 7.00.0499 */
/* Compiler settings for ahadmin.idl:
    Oicf, W1, Zp8, env=Win32 (32b run)
    protocol : dce , ms_ext, c_ext, robust
    error checks: allocation ref bounds_check enum stub_data 
    VC __declspec() decoration level: 
         __declspec(uuid()), __declspec(selectany), __declspec(novtable)
         DECLSPEC_UUID(), MIDL_INTERFACE()
*/
//@@MIDL_FILE_HEADING(  )

#pragma warning( disable: 4049 )  /* more than 64k source lines */


#ifdef __cplusplus
extern "C"{
#endif 


#include <rpc.h>
#include <rpcndr.h>

#ifdef _MIDL_USE_GUIDDEF_

#ifndef INITGUID
#define INITGUID
#include <guiddef.h>
#undef INITGUID
#else
#include <guiddef.h>
#endif

#define MIDL_DEFINE_GUID(type,name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8) \
        DEFINE_GUID(name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8)

#else // !_MIDL_USE_GUIDDEF_

#ifndef __IID_DEFINED__
#define __IID_DEFINED__

typedef struct _IID
{
    unsigned long x;
    unsigned short s1;
    unsigned short s2;
    unsigned char  c[8];
} IID;

#endif // __IID_DEFINED__

#ifndef CLSID_DEFINED
#define CLSID_DEFINED
typedef IID CLSID;
#endif // CLSID_DEFINED

#define MIDL_DEFINE_GUID(type,name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8) \
        const type name = {l,w1,w2,{b1,b2,b3,b4,b5,b6,b7,b8}}

#endif !_MIDL_USE_GUIDDEF_

MIDL_DEFINE_GUID(IID, IID_IAppHostMappingExtension,0x31a83ea0,0xc0e4,0x4a2c,0x8a,0x01,0x35,0x3c,0xc2,0xa4,0xc6,0x0a);


MIDL_DEFINE_GUID(IID, IID_IAppHostChildElementCollection,0x08a90f5f,0x0702,0x48d6,0xb4,0x5f,0x02,0xa9,0x88,0x5a,0x97,0x68);


MIDL_DEFINE_GUID(IID, IID_IAppHostPropertyCollection,0x0191775e,0xbcff,0x445a,0xb4,0xf4,0x3b,0xdd,0xa5,0x4e,0x28,0x16);


MIDL_DEFINE_GUID(IID, IID_IAppHostConfigLocationCollection,0x832a32f7,0xb3ea,0x4b8c,0xb2,0x60,0x9a,0x29,0x23,0x00,0x11,0x84);


MIDL_DEFINE_GUID(IID, IID_IAppHostPropertySchema,0x450386db,0x7409,0x4667,0x93,0x5e,0x38,0x4d,0xbb,0xee,0x2a,0x9e);


MIDL_DEFINE_GUID(IID, IID_IAppHostCollectionSchema,0xde095db1,0x5368,0x4d11,0x81,0xf6,0xef,0xef,0x61,0x9b,0x7b,0xcf);


MIDL_DEFINE_GUID(IID, IID_IAppHostElementSchema,0xef13d885,0x642c,0x4709,0x99,0xec,0xb8,0x95,0x61,0xc6,0xbc,0x69);


MIDL_DEFINE_GUID(IID, IID_IAppHostConfigException,0x4dfa1df3,0x8900,0x4bc7,0xbb,0xb5,0xd1,0xa4,0x58,0xc5,0x24,0x10);


MIDL_DEFINE_GUID(IID, IID_IAppHostPropertyException,0xeafe4895,0xa929,0x41ea,0xb1,0x4d,0x61,0x3e,0x23,0xf6,0x2b,0x71);


MIDL_DEFINE_GUID(IID, IID_IAppHostElementCollection,0xc8550bff,0x5281,0x4b1e,0xac,0x34,0x99,0xb6,0xfa,0x38,0x46,0x4d);


MIDL_DEFINE_GUID(IID, IID_IAppHostElement,0x64ff8ccc,0xb287,0x4dae,0xb0,0x8a,0xa7,0x2c,0xbf,0x45,0xf4,0x53);


MIDL_DEFINE_GUID(IID, IID_IAppHostProperty,0xed35f7a1,0x5024,0x4e7b,0xa4,0x4d,0x07,0xdd,0xaf,0x4b,0x52,0x4d);


MIDL_DEFINE_GUID(IID, IID_IAppHostConfigLocation,0x370af178,0x7758,0x4dad,0x81,0x46,0x73,0x91,0xf6,0xe1,0x85,0x85);


MIDL_DEFINE_GUID(IID, IID_IAppHostSectionDefinition,0xc5c04795,0x321c,0x4014,0x8f,0xd6,0xd4,0x46,0x58,0x79,0x93,0x93);


MIDL_DEFINE_GUID(IID, IID_IAppHostSectionDefinitionCollection,0xb7d381ee,0x8860,0x47a1,0x8a,0xf4,0x1f,0x33,0xb2,0xb1,0xf3,0x25);


MIDL_DEFINE_GUID(IID, IID_IAppHostSectionGroup,0x0dd8a158,0xebe6,0x4008,0xa1,0xd9,0xb7,0xec,0xc8,0xf1,0x10,0x4b);


MIDL_DEFINE_GUID(IID, IID_IAppHostConfigFile,0xada4e6fb,0xe025,0x401e,0xa5,0xd0,0xc3,0x13,0x4a,0x28,0x1f,0x07);


MIDL_DEFINE_GUID(IID, IID_IAppHostPathMapper,0xe7927575,0x5cc3,0x403b,0x82,0x2e,0x32,0x8a,0x6b,0x90,0x4b,0xee);


MIDL_DEFINE_GUID(IID, IID_IAppHostChangeHandler,0x09829352,0x87c2,0x418d,0x8d,0x79,0x41,0x33,0x96,0x9a,0x48,0x9d);


MIDL_DEFINE_GUID(IID, IID_IAppHostAdminManager,0x9be77978,0x73ed,0x4a9a,0x87,0xfd,0x13,0xf0,0x9f,0xec,0x1b,0x13);


MIDL_DEFINE_GUID(IID, IID_IAppHostWritableAdminManager,0xfa7660f6,0x7b3f,0x4237,0xa8,0xbf,0xed,0x0a,0xd0,0xdc,0xbb,0xd9);


MIDL_DEFINE_GUID(IID, IID_IAppHostConfigManager,0x8f6d760f,0xf0cb,0x4d69,0xb5,0xf6,0x84,0x8b,0x33,0xe9,0xbd,0xc6);


MIDL_DEFINE_GUID(IID, LIBID_AppHostAdminLibrary,0x598f9c7d,0xd2d7,0x4980,0xb2,0x34,0xf1,0xe7,0x53,0xcd,0x9f,0xd9);


MIDL_DEFINE_GUID(CLSID, CLSID_AppHostAdminManager,0x228fb8f7,0xfb53,0x4fd5,0x8c,0x7b,0xff,0x59,0xde,0x60,0x6c,0x5b);


MIDL_DEFINE_GUID(CLSID, CLSID_AppHostWritableAdminManager,0x2b72133b,0x3f5b,0x4602,0x89,0x52,0x80,0x35,0x46,0xce,0x33,0x44);

#undef MIDL_DEFINE_GUID

#ifdef __cplusplus
}
#endif




